Skip to main content
`Ctrl`+`K`

# PetscHMapIGet

Get the value for a key in the hash table

## Synopsis

    #include <petsc/private/hashmapi.h>
    PetscErrorCode PetscHMapIGet(PetscHMapI ht, PetscInt key, PetscInt *val)

## Input Parameters

- ht - The hash table

- key - The key

## Output Parameter

- val - The value

## See Also

`PetscHMapISet()`, `PetscHMapISetWithMode()`, `PetscHMapIIterGet()`, `PetscHMapIGetWithDefault()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

## Examples

src/dm/impls/plex/tutorials/ex19.c
src/dm/impls/plex/tutorials/ex18.c

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages